Bug 1174737 - kernel-default-5.3.18-lp152.33.1.x86_64 hard lockup
kernel-default-5.3.18-lp152.33.1.x86_64 hard lockup
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-30 14:01 UTC by Markus Kolb
Modified: 2022-07-21 18:52 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tzimmermann: needinfo?


Attachments
boot-no-kdump.log (64.62 KB, text/x-log)
2020-07-30 14:01 UTC, Markus Kolb
Details
boot-kdump.log (64.48 KB, text/x-log)
2020-07-30 14:01 UTC, Markus Kolb
Details
dmesg.txt (82.82 KB, text/plain)
2020-08-03 12:26 UTC, Markus Kolb
Details
dmesg.txt (67.39 KB, text/plain)
2020-08-03 20:41 UTC, Markus Kolb
Details
lspci-v.txt (7.59 KB, text/plain)
2020-08-06 09:47 UTC, Markus Kolb
Details
bootlog-5.7.log (65.98 KB, text/x-log)
2020-08-10 09:32 UTC, Markus Kolb
Details
sys-class-drm-card0-error (14.45 KB, text/plain)
2020-08-10 09:33 UTC, Markus Kolb
Details
Xorg.0.log.old (28.19 KB, application/x-trash)
2020-08-10 16:51 UTC, Markus Kolb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kolb 2020-07-30 14:01:23 UTC
Created attachment 840209 [details]
boot-no-kdump.log

The latest kernel update

kernel-default-5.3.18-lp152.33.1.x86_64 (33.1)

produces hard lockup crashes after some minutes up to an hour of working.

Can't see any error messages in the logs.
Also when booting the kernel with enabled kdump, the kernel doesn't crash any longer.

The older kernel package "kernel-default-5.3.18-lp152.26.2.x86_64" (26.2) works without problems (also without kdump enabled).

I'm attaching 2 boot journal logs. One with enabled kdump, the other with disabled kdump which locked up.

If I can provide some more information please ask.

Thanks
Markus
Comment 1 Markus Kolb 2020-07-30 14:01:55 UTC
Created attachment 840210 [details]
boot-kdump.log
Comment 2 Neil Rickert 2020-07-30 15:06:45 UTC
I had a system crash yesterday, as described here:
https://lists.opensuse.org/opensuse/2020-07/msg00616.html

I'm not finding relevant logs.  I'm suspecting that it might be the same problem,  but I cannot be sure.
Comment 3 Takashi Iwai 2020-07-30 17:00:21 UTC
Hrm, it's pretty hard to guess what's wrong without log, as you guessed.

Is it a hard hang, i.e. no network ping or such?  Magic sysrq also doesn't work?
Comment 4 Takashi Iwai 2020-07-30 17:07:18 UTC
Also, you can try the kernel in OBS Kernel:openSUSE-15.2 repo (unless you're booting with Secure Boot), just to check whether the issue has been already addressed.  The kernel found there as of now is a bit behind the latest git, but contains more patches than the last update release.
Comment 5 Markus Kolb 2020-07-30 19:53:21 UTC
(In reply to Takashi Iwai from comment #3)
> Hrm, it's pretty hard to guess what's wrong without log, as you guessed.
> 
> Is it a hard hang, i.e. no network ping or such?  Magic sysrq also doesn't
> work?

Magic SysRq isn't reacting.
Comment 6 Markus Kolb 2020-07-30 20:19:22 UTC
(In reply to Takashi Iwai from comment #4)
> Also, you can try the kernel in OBS Kernel:openSUSE-15.2 repo (unless you're
> booting with Secure Boot), just to check whether the issue has been already
> addressed.  The kernel found there as of now is a bit behind the latest git,
> but contains more patches than the last update release.

I'll try this one and write tomorrow.
Comment 7 Markus Kolb 2020-07-31 11:54:38 UTC
I think it is fixed in this version
https://download.opensuse.org/repositories/Kernel:/openSUSE-15.2/standard/x86_64/kernel-default-5.3.18-lp152.93.1.gdeee35b.x86_64.rpm

Up to now it isn't crashed.

When there will be an official released version?
Comment 8 Markus Kolb 2020-08-01 18:28:52 UTC
I've cheered too soon... it's happened once again, but with the 33.1-version it has been quite often.

I try to collect a dump or some console output or anything in the next days...
Comment 9 Neil Rickert 2020-08-03 01:04:52 UTC
I had another system lockup/crash today.

Once again, I was running a virtual machine (with Tumbleweed).  And everything froze, including my main desktop (the host system on which the VM was running.

On reboot, I went with kernel 5.3.18-lp152.26-default so that I can try to avoid another repeat.
Comment 10 Markus Kolb 2020-08-03 12:26:00 UTC
Created attachment 840298 [details]
dmesg.txt


Hi, I've got an oops in the dmesg.txt and a 130 MB vmcore with the vmlinux-5.3.18-lp152.93.gdeee35b-default.gz

Should I upload it anywhere?
Comment 11 Markus Kolb 2020-08-03 12:41:21 UTC
(In reply to Neil Rickert from comment #9)
> I had another system lockup/crash today.

Hey Neil,

do you also have Intel graphics based on the i915 driver?
Comment 12 Neil Rickert 2020-08-03 17:45:05 UTC
>do you also have Intel graphics based on the i915 driver?

Yes, I do.
Comment 13 Markus Kolb 2020-08-03 20:41:44 UTC
Created attachment 840310 [details]
dmesg.txt

The next dmesg.txt from a new kdump...
Comment 14 Takashi Iwai 2020-08-04 08:38:51 UTC
Thanks.  The crash Markus got looks like the same issue as on Ubuntu:
  https://bugs.launchpad.net/bugs/1878484

Adding Thomas to Cc, as this being an i915 problem.
Comment 15 Thomas Zimmermann 2020-08-05 14:11:18 UTC
There's no specific STR? Just running the desktop, I guess?
Comment 16 Markus Kolb 2020-08-05 19:27:00 UTC
(In reply to Thomas Zimmermann from comment #15)
> There's no specific STR? Just running the desktop, I guess?

Hi Thomas,

I think it is related to interrupts. I guess crashing occurs here only during user input with keyboard or USB mouse. Load is not the problem. I've never returned to a crashed system after e.g. coffee break and unattended compile jobs  have finished up to now. 
Here it happened always during typing or clicking in VS Code, Firefox or Terminals, but that's over 90% of the use-case.
I'm running Xfce Desktop.
It has no relation to suspend-to-ram, a fresh booted system crashed also after a few minutes.
Comment 17 Thomas Zimmermann 2020-08-06 07:00:17 UTC
Hi

(In reply to Markus Kolb from comment #16)
> (In reply to Thomas Zimmermann from comment #15)
> > There's no specific STR? Just running the desktop, I guess?
> 
> Hi Thomas,
> 
> I think it is related to interrupts. I guess crashing occurs here only
> during user input with keyboard or USB mouse. Load is not the problem. I've
> never returned to a crashed system after e.g. coffee break and unattended
> compile jobs  have finished up to now. 

When you go for a coffee, do you suspend the screen? is the compile job still visible?

> Here it happened always during typing or clicking in VS Code, Firefox or
> Terminals, but that's over 90% of the use-case.

The stack traces point to the graphics driver. I can only guess that typing increases the number of pageflips, which then leads to the error.

> I'm running Xfce Desktop.
> It has no relation to suspend-to-ram, a fresh booted system crashed also
> after a few minutes.

I tried yesterday by running glxgears and Xonotic under Gnome with an i915 device, but no problems were apparent. I'll try again with Xfce.

Could you post the output of 'sudo lspci -v', please? Maybe it's related to a certain HW generation.
Comment 18 Markus Kolb 2020-08-06 09:47:45 UTC
Created attachment 840387 [details]
lspci-v.txt

(In reply to Thomas Zimmermann from comment #17)

[...]

> When you go for a coffee, do you suspend the screen? is the compile job
> still visible?

Yes, right, forgot about it, it is blank and sleep after 10min and display switch-off after 30min. Also brightness reduction is enabled.
I'm trying to reproduce a crash when this is switched off.


> > Here it happened always during typing or clicking in VS Code, Firefox or
> > Terminals, but that's over 90% of the use-case.
> 
> The stack traces point to the graphics driver. I can only guess that typing
> increases the number of pageflips, which then leads to the error.

Ok. Sounds reasonable.


> Could you post the output of 'sudo lspci -v', please? Maybe it's related to
> a certain HW generation.

Attached...
Comment 19 Takashi Iwai 2020-08-06 20:19:46 UTC
Also, I tried to backport a few (bunch of :) recent i915 driver patches about the relevant code path.  The test kernel is found in OBS home:tiwai:bsc1174737-leap repo:
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1174737-leap/standard/

Could you give it a try, too?
Comment 20 Thomas Zimmermann 2020-08-07 06:44:51 UTC
Thanks, Takashi!

I kept the test system running yesterday with 3d graphics during the work day. But no problems surfaced. If nothing else, we can still try to bisect.
Comment 21 Markus Kolb 2020-08-07 09:36:20 UTC
I've used the 33.1 version (which seems to be the most crashy) yesterday the whole day with disabled display power management and no LID close (which would be S3 mode).

At the end I switched on power management, waited for display off. And used the system for maybe 30 minutes without crash. Then I closed the LID for S3, opened it again for wake-up and could only work 5-10 minutes when a crash occurred on an enter key in VS Code.

I've tried to find out if there is a concrete relation to S3 mode, but it is not reproducible with just S3 mode. So fresh boot, going to S3 and waking up is no guarantee for crashing in short time.

Today I try to work with enabled display power management but no LID close, so no S3. I'll tell you if there is crash or no crash in this situation.

Afterwards I'll install Takashi's development kernel.
Comment 22 Markus Kolb 2020-08-08 10:30:28 UTC
The crash problem still exists in Takashi's development kernel.
Comment 23 Takashi Iwai 2020-08-08 10:57:57 UTC
(In reply to Markus Kolb from comment #22)
> The crash problem still exists in Takashi's development kernel.

OK, thanks.

Have you tested the recent upstream kernel (e.g. 5.7.x) at all?  It's find in OBS Kernel:stable repo.
  http://download.opensuse.org/repositories/Kernel:/stable/standard/

If it moved already to 5.8.x, the latest 5.7.x kernel is found in my kernel archive repo OBS home:tiwai:kernel:5.7,
  http://download.opensuse.org/repositories/home:/tiwai:/kernel:/5.7/standard/

Ubuntu's bug report mentioned that the bug disappeared after 5.7.x, so this should have been confirmed in our side, too.
Comment 24 Markus Kolb 2020-08-10 09:09:52 UTC
(In reply to Takashi Iwai from comment #23)
> (In reply to Markus Kolb from comment #22)
> > The crash problem still exists in Takashi's development kernel.
> 
> OK, thanks.
> 
> Have you tested the recent upstream kernel (e.g. 5.7.x) at all?  It's find
> in OBS Kernel:stable repo.
>   http://download.opensuse.org/repositories/Kernel:/stable/standard/
> 
> If it moved already to 5.8.x, the latest 5.7.x kernel is found in my kernel
> archive repo OBS home:tiwai:kernel:5.7,
>  
> http://download.opensuse.org/repositories/home:/tiwai:/kernel:/5.7/standard/
> 
> Ubuntu's bug report mentioned that the bug disappeared after 5.7.x, so this
> should have been confirmed in our side, too.

In 5.8 from Kernel:/stable it doesn't crash.
(But as a side-note virtualbox kernel modules doesn't compile. Works only with the virtualbox development branch at the moment.)

And I'm pretty sure now that it is related to the power management! It doesn't crash in 5.3.18-33.1 if there was no S3 suspend. Although it lasts sometimes very long after the wake up, but it seems to be a requirement for the bug. The display power management settings doesn't make any difference. Didn't check any other suspend modes.
I must have remembered it wrong with #c16.

Now I'll check also your 5.7...
Comment 25 Markus Kolb 2020-08-10 09:32:04 UTC
Created attachment 840475 [details]
bootlog-5.7.log

In you 5.7.12-1.g9c98feb I always get a
i915 0000:00:02.0: GPU HANG: ecode 8:1:85dffffb, in X [1282]
Comment 26 Markus Kolb 2020-08-10 09:33:05 UTC
Created attachment 840476 [details]
sys-class-drm-card0-error
Comment 27 Takashi Iwai 2020-08-10 15:47:20 UTC
Hm, are you using intel Xorg driver, or modesetting?  In general the latter is used, but just to be sure.
Comment 28 Markus Kolb 2020-08-10 16:51:10 UTC
Created attachment 840503 [details]
Xorg.0.log.old

intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20200313

I've no manual config for Xorg.
Comment 29 Takashi Iwai 2020-08-10 20:24:06 UTC
Thanks.

Could you try another patched Leap 15.2 kernel in OBS home:tiwai:bsc1174737-leap2 repo?
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1174737-leap2/standard/
Comment 30 Markus Kolb 2020-08-12 13:46:54 UTC
Hey Takashi,

;-)

uname -a ; uptime
Linux linux-zbgf 5.3.18-lp152.1.g1b51c72-default #1 SMP Mon Aug 10 17:46:58 UTC 2020 (1b51c72) x86_64 x86_64 x86_64 GNU/Linux
 15:30:20  up  21:02,  1 user,  load average: 0.14, 0.23, 0.51

I think good work.
Comment 31 Takashi Iwai 2020-08-12 14:19:13 UTC
Good to hear, at least it improves things, as it seems.

Now I rebased to the latest SLE15-SP2 and pushed for merge.  It'll be merged later once after the internal build test finishes.
Comment 32 OBSbugzilla Bot 2020-08-19 15:45:02 UTC
This is an autogenerated message for OBS integration:
This bug (1174737) was mentioned in
https://build.opensuse.org/request/show/827918 15.2 / kernel-source
Comment 33 Swamp Workflow Management 2020-08-21 04:19:57 UTC
openSUSE-SU-2020:1236-1: An update that solves 7 vulnerabilities and has 109 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1120163,1133021,1149032,1152472,1152489,1153274,1154353,1154488,1155518,1155798,1165933,1167773,1168959,1169771,1171857,1171988,1172197,1172201,1172247,1172963,1173074,1173468,1173573,1173813,1173849,1173941,1173954,1174002,1174072,1174116,1174126,1174127,1174128,1174129,1174185,1174205,1174263,1174264,1174331,1174332,1174333,1174356,1174362,1174396,1174398,1174407,1174409,1174411,1174438,1174462,1174484,1174513,1174527,1174543,1174625,1174627,1174645,1174689,1174737,1174757,1174762,1174770,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175112,1175116,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175213,1175263,1175284,1175296,1175344,1175345,1175346,1175347,1175367,1175377
CVE References: CVE-2020-0305,CVE-2020-10135,CVE-2020-10781,CVE-2020-14331,CVE-2020-14356,CVE-2020-15780,CVE-2020-16166
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    bbswitch-0.8-lp152.6.2.1, crash-7.2.8-lp152.3.2.1, dpdk-19.11.1-lp152.2.5.1, drbd-9.0.22~1+git.fe2b5983-lp152.2.2.1, hdjmod-1.28-lp152.6.2.1, kernel-debug-5.3.18-lp152.36.1, kernel-default-5.3.18-lp152.36.1, kernel-docs-5.3.18-lp152.36.1, kernel-kvmsmall-5.3.18-lp152.36.1, kernel-obs-build-5.3.18-lp152.36.1, kernel-obs-qa-5.3.18-lp152.36.1, kernel-preempt-5.3.18-lp152.36.1, kernel-source-5.3.18-lp152.36.1, kernel-syms-5.3.18-lp152.36.1, mhvtl-1.62-lp152.2.2.1, openafs-1.8.5-lp152.2.2.1, pcfclock-0.44-lp152.4.2.1, rtl8812au-5.6.4.2+git20200318.49e98ff-lp152.2.2.1, sysdig-0.26.5-lp152.3.2.1, v4l2loopback-0.12.5-lp152.2.2.1, vhba-kmp-20200106-lp152.2.2.1, virtualbox-6.1.10-lp152.2.2.1, xtables-addons-3.9-lp152.2.2.1
Comment 36 Swamp Workflow Management 2020-09-03 19:19:39 UTC
SUSE-SU-2020:2485-1: An update that solves three vulnerabilities and has 112 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1071995,1085030,1120163,1133021,1149032,1152472,1152489,1154353,1154492,1155518,1156395,1159058,1160634,1167773,1169790,1171634,1171688,1172108,1172197,1172247,1172418,1172871,1172963,1173468,1173485,1173798,1173813,1173954,1174002,1174003,1174026,1174387,1174484,1174625,1174645,1174689,1174699,1174737,1174757,1174762,1174770,1174771,1174777,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175112,1175116,1175128,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175199,1175213,1175232,1175263,1175284,1175296,1175344,1175345,1175346,1175347,1175367,1175377,1175440,1175493,1175546,1175550,1175654,1175691,1175768,1175769,1175770,1175771,1175772,1175774,1175775,1175834,1175873
CVE References: CVE-2020-14314,CVE-2020-14356,CVE-2020-16166
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP2 (src):    kernel-azure-5.3.18-18.15.1, kernel-source-azure-5.3.18-18.15.1, kernel-syms-azure-5.3.18-18.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 37 Swamp Workflow Management 2020-09-03 22:18:02 UTC
SUSE-SU-2020:2486-1: An update that solves four vulnerabilities and has 116 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1071995,1085030,1120163,1133021,1149032,1152472,1152489,1153274,1154353,1154488,1154492,1155518,1156395,1159058,1160634,1167773,1169790,1171634,1171688,1172108,1172197,1172247,1172418,1172871,1172963,1173468,1173485,1173798,1173813,1173954,1174002,1174003,1174026,1174205,1174247,1174362,1174387,1174484,1174625,1174645,1174689,1174699,1174737,1174757,1174762,1174770,1174771,1174777,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175112,1175116,1175128,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175199,1175213,1175232,1175263,1175284,1175296,1175344,1175345,1175346,1175347,1175367,1175377,1175440,1175493,1175546,1175550,1175654,1175691,1175768,1175769,1175770,1175771,1175772,1175774,1175775,1175834,1175873
CVE References: CVE-2020-14314,CVE-2020-14331,CVE-2020-14356,CVE-2020-16166
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Live Patching 15-SP2 (src):    kernel-default-5.3.18-24.12.1, kernel-livepatch-SLE15-SP2_Update_2-1-5.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 38 Swamp Workflow Management 2020-09-03 22:30:10 UTC
SUSE-SU-2020:2486-1: An update that solves four vulnerabilities and has 116 fixes is now available.

Category: security (important)
Bug References: 1065600,1065729,1071995,1085030,1120163,1133021,1149032,1152472,1152489,1153274,1154353,1154488,1154492,1155518,1156395,1159058,1160634,1167773,1169790,1171634,1171688,1172108,1172197,1172247,1172418,1172871,1172963,1173468,1173485,1173798,1173813,1173954,1174002,1174003,1174026,1174205,1174247,1174362,1174387,1174484,1174625,1174645,1174689,1174699,1174737,1174757,1174762,1174770,1174771,1174777,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175112,1175116,1175128,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175199,1175213,1175232,1175263,1175284,1175296,1175344,1175345,1175346,1175347,1175367,1175377,1175440,1175493,1175546,1175550,1175654,1175691,1175768,1175769,1175770,1175771,1175772,1175774,1175775,1175834,1175873
CVE References: CVE-2020-14314,CVE-2020-14331,CVE-2020-14356,CVE-2020-16166
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    kernel-default-5.3.18-24.12.1
SUSE Linux Enterprise Module for Live Patching 15-SP2 (src):    kernel-default-5.3.18-24.12.1, kernel-livepatch-SLE15-SP2_Update_2-1-5.3.1
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    kernel-default-5.3.18-24.12.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    kernel-docs-5.3.18-24.12.1, kernel-obs-build-5.3.18-24.12.1, kernel-preempt-5.3.18-24.12.1, kernel-source-5.3.18-24.12.1, kernel-syms-5.3.18-24.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    kernel-default-5.3.18-24.12.1, kernel-default-base-5.3.18-24.12.1.9.4.1, kernel-preempt-5.3.18-24.12.1, kernel-source-5.3.18-24.12.1
SUSE Linux Enterprise High Availability 15-SP2 (src):    kernel-default-5.3.18-24.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 40 Swamp Workflow Management 2021-02-05 21:07:06 UTC
openSUSE-SU-2021:0242-1: An update that solves 79 vulnerabilities and has 676 fixes is now available.

Category: security (moderate)
Bug References: 1034995,1040855,1043347,1044120,1044767,1055014,1055117,1055186,1058115,1061843,1065600,1065729,1066382,1071995,1077428,1085030,1094244,1094840,1109695,1115431,1120163,1129923,1133021,1134760,1136666,1138374,1139944,1148868,1149032,1152148,1152457,1152472,1152489,1153274,1154353,1154488,1154492,1154824,1155518,1155798,1156315,1156395,1157169,1158050,1158242,1158265,1158748,1158765,1158775,1158983,1159058,1159781,1159867,1159886,1160388,1160634,1160947,1161099,1161495,1162002,1162063,1162209,1162400,1162702,1163592,1163727,1164648,1164777,1164780,1165211,1165455,1165629,1165692,1165933,1165975,1166146,1166166,1166340,1166965,1166985,1167030,1167104,1167527,1167651,1167657,1167773,1167851,1168230,1168461,1168468,1168779,1168838,1168952,1168959,1169021,1169094,1169194,1169263,1169514,1169681,1169763,1169771,1169790,1169795,1170011,1170139,1170232,1170284,1170415,1170442,1170617,1170621,1170774,1170879,1170891,1170895,1171000,1171068,1171073,1171078,1171117,1171150,1171156,1171189,1171191,1171218,1171219,1171220,1171236,1171242,1171246,1171285,1171293,1171374,1171390,1171391,1171392,1171417,1171426,1171507,1171513,1171514,1171529,1171530,1171558,1171634,1171644,1171662,1171675,1171688,1171699,1171709,1171730,1171732,1171736,1171739,1171742,1171743,1171759,1171773,1171774,1171775,1171776,1171777,1171778,1171779,1171780,1171781,1171782,1171783,1171784,1171785,1171786,1171787,1171788,1171789,1171790,1171791,1171792,1171793,1171794,1171795,1171796,1171797,1171798,1171799,1171810,1171827,1171828,1171832,1171833,1171834,1171835,1171839,1171840,1171841,1171842,1171843,1171844,1171849,1171857,1171868,1171904,1171915,1171982,1171983,1171988,1172017,1172046,1172061,1172062,1172063,1172064,1172065,1172066,1172067,1172068,1172069,1172073,1172086,1172095,1172108,1172145,1172169,1172170,1172197,1172201,1172208,1172223,1172247,1172317,1172342,1172343,1172344,1172365,1172366,1172374,1172391,1172393,1172394,1172418,1172419,1172453,1172458,1172467,1172484,1172537,1172543,1172687,1172719,1172733,1172739,1172751,1172757,1172759,1172775,1172781,1172782,1172783,1172814,1172823,1172841,1172871,1172873,1172938,1172939,1172940,1172956,1172963,1172983,1172984,1172985,1172986,1172987,1172988,1172989,1172990,1172999,1173017,1173068,1173074,1173085,1173115,1173139,1173206,1173267,1173271,1173280,1173284,1173428,1173438,1173461,1173468,1173485,1173514,1173552,1173573,1173625,1173746,1173776,1173798,1173813,1173817,1173818,1173820,1173822,1173823,1173824,1173825,1173826,1173827,1173828,1173830,1173831,1173832,1173833,1173834,1173836,1173837,1173838,1173839,1173841,1173843,1173844,1173845,1173847,1173849,1173860,1173894,1173941,1173954,1174002,1174003,1174018,1174026,1174029,1174072,1174098,1174110,1174111,1174116,1174126,1174127,1174128,1174129,1174146,1174185,1174205,1174244,1174263,1174264,1174331,1174332,1174333,1174345,1174356,1174358,1174362,1174387,1174396,1174398,1174407,1174409,1174411,1174438,1174462,1174484,1174486,1174513,1174527,1174625,1174627,1174645,1174689,1174699,1174737,1174748,1174757,1174762,1174770,1174771,1174777,1174805,1174824,1174825,1174852,1174865,1174880,1174897,1174899,1174906,1174969,1175009,1175010,1175011,1175012,1175013,1175014,1175015,1175016,1175017,1175018,1175019,1175020,1175021,1175052,1175079,1175112,1175116,1175128,1175149,1175175,1175176,1175180,1175181,1175182,1175183,1175184,1175185,1175186,1175187,1175188,1175189,1175190,1175191,1175192,1175195,1175199,1175213,1175232,1175263,1175284,1175296,1175306,1175344,1175345,1175346,1175347,1175367,1175377,1175440,1175480,1175493,1175546,1175550,1175599,1175621,1175654,1175667,1175691,1175718,1175721,1175749,1175768,1175769,1175770,1175771,1175772,1175774,1175775,1175787,1175807,1175834,1175873,1175882,1175898,1175918,1175952,1175995,1175996,1175997,1175998,1175999,1176000,1176001,1176019,1176022,1176038,1176063,1176069,1176109,1176137,1176180,1176200,1176235,1176236,1176237,1176242,1176354,1176357,1176358,1176359,1176360,1176361,1176362,1176363,1176364,1176365,1176366,1176367,1176381,1176396,1176400,1176423,1176449,1176481,1176485,1176486,1176507,1176536,1176537,1176538,1176539,1176540,1176541,1176542,1176543,1176544,1176545,1176546,1176548,1176558,1176559,1176564,1176586,1176587,1176588,1176659,1176698,1176699,1176700,1176713,1176721,1176722,1176725,1176732,1176763,1176775,1176788,1176789,1176833,1176855,1176869,1176877,1176907,1176925,1176942,1176956,1176962,1176979,1176980,1176983,1176990,1177021,1177030,1177066,1177070,1177086,1177090,1177109,1177121,1177193,1177194,1177206,1177258,1177271,1177281,1177283,1177284,1177285,1177286,1177297,1177326,1177353,1177384,1177397,1177410,1177411,1177470,1177500,1177511,1177617,1177666,1177679,1177681,1177683,1177687,1177694,1177697,1177698,1177703,1177719,1177724,1177725,1177726,1177733,1177739,1177749,1177750,1177754,1177755,1177765,1177766,1177799,1177801,1177814,1177817,1177820,1177854,1177855,1177856,1177861,1178002,1178049,1178079,1178123,1178166,1178173,1178175,1178176,1178177,1178182,1178183,1178184,1178185,1178186,1178190,1178191,1178203,1178227,1178246,1178255,1178270,1178286,1178307,1178330,1178393,1178395,1178401,1178426,1178461,1178579,1178581,1178584,1178585,1178589,1178590,1178612,1178634,1178635,1178653,1178659,1178660,1178661,1178669,1178686,1178740,1178755,1178756,1178762,1178780,1178838,1178853,1178886,1179001,1179012,1179014,1179015,1179045,1179076,1179082,1179107,1179140,1179141,1179160,1179201,1179204,1179211,1179217,1179419,1179424,1179425,1179426,1179427,1179429,1179432,1179434,1179435,1179442,1179519,1179550,1179575,1179578,1179601,1179604,1179639,1179652,1179656,1179670,1179671,1179672,1179673,1179675,1179676,1179677,1179678,1179679,1179680,1179681,1179682,1179683,1179684,1179685,1179687,1179688,1179689,1179690,1179703,1179704,1179707,1179709,1179710,1179711,1179712,1179713,1179714,1179715,1179716,1179745,1179763,1179887,1179888,1179892,1179896,1179960,1179963,1180027,1180029,1180031,1180052,1180056,1180086,1180117,1180258,1180261,1180349,1180506,1180541,1180559,1180566,173030,744692,789311,954532,995541
CVE References: CVE-2019-19462,CVE-2019-20810,CVE-2019-20812,CVE-2020-0110,CVE-2020-0305,CVE-2020-0404,CVE-2020-0427,CVE-2020-0431,CVE-2020-0432,CVE-2020-0444,CVE-2020-0465,CVE-2020-0466,CVE-2020-0543,CVE-2020-10135,CVE-2020-10711,CVE-2020-10732,CVE-2020-10751,CVE-2020-10757,CVE-2020-10766,CVE-2020-10767,CVE-2020-10768,CVE-2020-10773,CVE-2020-10781,CVE-2020-11668,CVE-2020-12351,CVE-2020-12352,CVE-2020-12652,CVE-2020-12656,CVE-2020-12769,CVE-2020-12771,CVE-2020-12888,CVE-2020-13143,CVE-2020-13974,CVE-2020-14314,CVE-2020-14331,CVE-2020-14351,CVE-2020-14356,CVE-2020-14385,CVE-2020-14386,CVE-2020-14390,CVE-2020-14416,CVE-2020-15393,CVE-2020-15436,CVE-2020-15437,CVE-2020-15780,CVE-2020-16120,CVE-2020-16166,CVE-2020-1749,CVE-2020-24490,CVE-2020-2521,CVE-2020-25212,CVE-2020-25284,CVE-2020-25285,CVE-2020-25641,CVE-2020-25643,CVE-2020-25645,CVE-2020-25656,CVE-2020-25668,CVE-2020-25669,CVE-2020-25704,CVE-2020-25705,CVE-2020-26088,CVE-2020-27068,CVE-2020-27777,CVE-2020-27786,CVE-2020-27825,CVE-2020-27830,CVE-2020-28915,CVE-2020-28941,CVE-2020-28974,CVE-2020-29369,CVE-2020-29370,CVE-2020-29371,CVE-2020-29373,CVE-2020-29660,CVE-2020-29661,CVE-2020-36158,CVE-2020-4788,CVE-2020-8694
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    kernel-rt-5.3.18-lp152.3.5.1, kernel-rt_debug-5.3.18-lp152.3.5.1, kernel-source-rt-5.3.18-lp152.3.5.1, kernel-syms-rt-5.3.18-lp152.3.5.1
Comment 41 Markus Kolb 2021-02-05 21:31:19 UTC
This works since the fix for me...
Have not realized that the bug is still open.
Thanks for your help.